/* ================================================================ 
Copyright (c) 2011 Stu Nicholls - iStu.co.uk. All rights reserved.
This script and the associated html may be modified in any 
way to fit your requirements.
=================================================================== */
$(window).load(function(){
/* setup variables */
/* the classname of the outer div */
iClass = '.iStu11 ';
/* the gap in pixels between the images */
iGap = 5;
/* the number of images to display */
iShow = 3;
/* the speed of change between images */
iSpeed = 1500;

/* these is the calculations and setting up the carousel display */
iClassAll = $(iClass + 'ul li.images')
iWidth = $(iClass + 'ul li.images img').width();
iHeight = $(iClass + 'ul li.images img').height();
iImages = $(iClass + 'ul li.images img').length;


iMove = '-'+(iWidth*iShow + iGap*(iShow-1) +'px');

$(iClass).width(iWidth*iShow + iGap*(iShow+1) +'px');
$(iClass).height(iHeight+iGap*2+'px');
iClassAll.width((iWidth+iGap)*iImages+'px');
iClassAll.css('paddingTop',iGap+'px').css('left',iGap +'px');

$(iClass + 'ul li.images img').css('marginRight',iGap+'px');

$(iClass + 'ul li.prev').css('top',((iHeight+iGap*2)-32)/2+'px').hide();
$(iClass + 'ul li.next').css('top',((iHeight+iGap*2)-32)/2+'px').hide();


/* check that the total number of images is larger than the display number and if less then do not run the carousel */
if (iImages>iShow) {

/* check that the number of images is at least 2 times the display number and if less change the number of images to rotate to the total number minus the display number */
if (iImages/2 < iShow) {
iMove = '-'+(iWidth*(iImages-iShow) + iGap*(iShow-1) +'px');
iShow = iWidth-iShow;
}

/* show the left/right icons when hovering the carousel */
$(iClass).mouseover(function() {
$(iClass + 'ul li.prev').show();
$(iClass + 'ul li.next').show();
});

/* hide the left/right arrows when the mouse leaves the carousel */
$(iClass).mouseleave(function() {
$(iClass + 'ul li.prev').hide();
$(iClass + 'ul li.next').hide();
});

/* check for click on the 'next' icon and slide the images left */
$(iClass + 'ul li.next').click(function() {
	iClassAll.animate({left: iMove},iSpeed,"easeOutBounce", function() {
		for (var i=0; i<iShow; i++) {
			iClassAll.find(':first').remove().appendTo('.iStu11 ul li.images');
		}
	iClassAll.css('left', iGap +'px');
	});
});

/* check for click on the 'previous' icon and slide the images right */
$(iClass + 'ul li.prev').click(function() {
	for (var i=0; i<iShow; i++) {
		iClassAll.find(':last').remove().prependTo('.iStu11 ul li.images');
	}
	iClassAll.css('left', iMove);
	iClassAll.animate({left: iGap +'px'},iSpeed,"easeOutBounce");
});

}

});
